/* Tooltip */

#tooltipToken {
    width: 150px;
    height: 65px;
    position: absolute;
    margin-top: -5px;
    background-color: var(--blue-warm-vivid-60);
    text-align: center;
    border-radius: 8px;
    padding: 10px;
    z-index: 999999;
    visibility: hidden;
    opacity: 0;
    font-size: var(--font-size-scale-base);
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
}

#tooltipToken.success {
    height: 45px;
    margin-top: 10px;
    padding-top: 12px;
    background-color: var(--green-vivid-50);
}

#tooltipToken i {
    margin-right: 4px;
}

#tooltipToken i,
#tooltipToken span {
    color: var(--pure-0);
}

#tooltipToken.active {
    visibility: visible;
    opacity: 1;
}

#tooltipToken::before {
    content: "";
    position: absolute;
    border-width: 10px;
    border-style: solid;
    border-color: transparent transparent var(--blue-warm-vivid-60) transparent;
    margin-top: 54px;
    margin-left: 48px;
    transform: translateX(-50%) rotate(180deg);
}

#tooltipToken.success::before {
    margin-top: 33px;
    margin-left: 45px;
    border-color: transparent transparent var(--green-vivid-50) transparent;
}


#tooltipToken i,
#tooltipToken span.textCopied,
#tooltipToken.success span.textDefault {
    display: none;
}

#tooltipToken.success i,
#tooltipToken.success span.textCopied {
    display: inline-block;
}